Package org.eclipse.net4j.util.io

# Class StringBuilderWriter

java.lang.Object
java.io.Writer
org.eclipse.net4j.util.io.StringBuilderWriter

All Implemented Interfaces:
  `Closeable`, `Flushable`, `Appendable`, `AutoCloseable`

public class StringBuilderWriter extends Writer

Since:
  3.26
Author:
  Eike Stepper

## Field Summary

### Fields inherited from class java.io.Writer

`lock`

## Constructor Summary

Constructors
Constructor
Description
`StringBuilderWriter()`
`StringBuilderWriter(int initialSize)`
`StringBuilderWriter(StringBuilder builder)`

## Method Summary

Modifier and Type
Method
Description
`StringBuilderWriter`
`append(char c)`
`StringBuilderWriter`
`append(CharSequence csq)`
`StringBuilderWriter`
`append(CharSequence csq, int start, int end)`
`void`
`close()`
`void`
`flush()`
`StringBuilder`
`getBuilder()`
`String`
`toString()`
`void`
`write(char[] cbuf, int off, int len)`
`void`
`write(int c)`
`void`
`write(String str)`
`void`
`write(String str, int off, int len)`

### Methods inherited from class java.io.Writer

`nullWriter, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StringBuilderWriter

public StringBuilderWriter()

### StringBuilderWriter

public StringBuilderWriter(int initialSize)

### StringBuilderWriter

public StringBuilderWriter(StringBuilder builder)

## Method Details

### getBuilder

public StringBuilder getBuilder()

### write

public void write(int c)

Overrides:
  `write` in class `Writer`

### write

public void write(char[] cbuf, int off, int len)

Specified by:
  `write` in class `Writer`

### write

public void write(String str)

Overrides:
  `write` in class `Writer`

### write

public void write(String str, int off, int len)

Overrides:
  `write` in class `Writer`

### append

public StringBuilderWriter append(CharSequence csq)

Specified by:
  `append` in interface `Appendable`
Overrides:
  `append` in class `Writer`

### append

public StringBuilderWriter append(CharSequence csq, int start, int end)

Specified by:
  `append` in interface `Appendable`
Overrides:
  `append` in class `Writer`

### append

public StringBuilderWriter append(char c)

Specified by:
  `append` in interface `Appendable`
Overrides:
  `append` in class `Writer`

### flush

public void flush()

Specified by:
  `flush` in interface `Flushable`
Specified by:
  `flush` in class `Writer`

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in class `Writer`

### toString

public String toString()

Overrides:
  `toString` in class `Object`